Autor Tópico: Instalando driver ATI com suporte ao AIGLX  (Lida 86121 vezes)

Offline mathdelic

  • Usuário Ubuntu
  • *
  • Mensagens: 20
    • Ver perfil
Re: Instalando driver ATI com suporte ao AIGLX
« Resposta #15 Online: 31 de Outubro de 2007, 23:20 »
Eu instalei sem intercorrências e no gnome funcionou legal. Iniciei o Compiz  manualmente e testei várias coisas. Depois retornei para as cofigurações básicas de efeitos.

Mas quando fui para o kde estava uma bagunça... a decoração das janelas sumiu... os programas do Painel do Sistema ficaram espalhados por toda a área de trabalho... não conseguia fechar as janelas abertas... enfim, uma zona. Mas o kde ainda respondia. A solução foi abrir as configurações do Compiz e desmarcar as opções uma a uma, mesmo o Compiz não estando sendo utilizado. Sai e entrei novamente e estava normal.

E ai?... essa instalação do Compiz do Ubuntu não funciona no kde? Digo kde, mas na verdade eu instalei o pacote kubuntu-desktop. Será que o Compiz que vem no cd do Kubuntu é modificado?

Alguem ai conseguiu rodar no kde?



Ubuntu 7.10 # Com KDE.
DELL Vostro 1000
Sempron Mobile 3500+ (1,8 GHz, 512 KB)
2 GB de SDRAM DDR2 de 533 MHz
80GB SATA
Integrada ATI Radeon® Xpress 1150 HyperMemoryTM

Chipset ATI RS485M / SB600
WXGA (1280x800) Widescreen de 15,4"

Offline Deus Ex Machina

  • Usuário Ubuntu
  • *
  • Mensagens: 102
    • Ver perfil
Re: Instalando driver ATI com suporte ao AIGLX
« Resposta #16 Online: 01 de Novembro de 2007, 22:55 »
Pessoal,

estava funcionando e fui inventar moda... A partir daqui nada funcionou!

Citar
hugo@hugo:~/Documentos$ sudo bash ati-driver-installer-8.42.3-x86.x86_64.run --buildpkg Ubuntu/gutsy
Created directory fglrx-install.bt9231
Verifying archive integrity... All good.
Uncompressing ATI Proprietary Linux Driver-8.42.3...
==================================================
 ATI Technologies Linux Driver Installer/Packager
==================================================
Generating package: Ubuntu/gutsy
./packages/Ubuntu/ati-packager.sh: 175: dpkg-architecture: not found
Error: unsupported architecture:
Removing temporary directory: fglrx-install.bt9231


Ai tentei continuar, mas aconteceu isso...


Código: [Selecionar]
hugo@hugo:~/Documentos$ sudo dpkg -i xorg-driver-fglrx_8.42.3-1*.deb
dpkg: erro processando xorg-driver-fglrx_8.42.3-1*.deb (--install):
 impossível acessar arquivo: Arquivo ou diretório inexistente
Erros foram encontrados durante processamento de:
 xorg-driver-fglrx_8.42.3-1*.deb


E nao tenho ideia do que fazer... Por favor, uma ajudinha!

Abracos!


Agora não consigo mais iniciar o X!!!

Socorro, o que eu faço?

Abraços
Notebook Asus A7Jc; Core Duo 1,66 GHz; ATI Mobility Radeon X1600 256 MB; 2GB DDR2.
Hardy Heron funcionando (quase) perfeitamente!

Offline vampire_thunder

  • Usuário Ubuntu
  • *
  • Mensagens: 735
    • Ver perfil
Re: Instalando driver ATI com suporte ao AIGLX
« Resposta #17 Online: 01 de Novembro de 2007, 23:45 »
to com o mesmo problema do vampire_thunder...

Ubuntu  64 bits - Gutsy

Não consegui resolver esse problema de um jeito casual e tive de apelar. Fui num PC com o Feisty instalado e gerei os pacotes por lá. Gerou direitinho.
Esse Gutsy está com muitos bugs.

Para quem não está conseguindo abrir o X, tente editar o xorg.conf e coloque "ati" no lugar do "fglrx". Eu gosto do mc, mas se não estiver instalado, tente o vim (não me dou bem com ele).
No terminal, depois do X dar erro, digite sudo vim /etc/X11/xorg.conf. Em Section "Device", mude Driver  "fglrx" para Driver "ati", e reinicie. Esse erro acontece quando o driver não foi instalado corretamente.
Caso não consiga por esse comando, tente substituir o xorg.conf pelo arquivo de backup que foi gerado na instalação. No terminal, digite "cd /etc/X11/" e depois dê o comando "ls". Procure por um arquivo chamado "xorg.conf.alguma coisa" (ex: xorg.conf.original-0). Achando-o, digite "sudo rm xorg.conf" e depois "sudo cp xorg.conf.alguma coisa xorg.conf" e reinicie a máquina.

Offline ctavares

  • Usuário Ubuntu
  • *
  • Mensagens: 241
  • Linux
    • Ver perfil
Re: Instalando driver ATI com suporte ao AIGLX
« Resposta #18 Online: 02 de Novembro de 2007, 01:05 »
Para mim nao deu certo. Após executar os procedimentos e reiniciar a maquina digitei o comando fglrxinfo porem obtive o retorno abaixo. Eu utilizo uma ATI no meu notebook Xpress 1100 será que é incompatibilidade de driver?

carlos@carlosnb:~$ fglrxinfo
fglrxinfo: error while loading shared libraries: libGL.so.1: cannot open shared object file: No such file or directory



Abraço,
Carlos Tavares
Blog: http://ti-online.blogspot.com/ MSN: ctavaresjr@hotmail.com

Offline vampire_thunder

  • Usuário Ubuntu
  • *
  • Mensagens: 735
    • Ver perfil
Re: Instalando driver ATI com suporte ao AIGLX
« Resposta #19 Online: 02 de Novembro de 2007, 09:27 »
Tenta usar o Envy para desinstalar o antigo driver. Depois tenta instalar de novo pelo tutorial.

Offline KurtKraut

  • Usuário Ubuntu
  • *
  • Mensagens: 307
    • Ver perfil
    • http://planeta.ubuntubrasil.org/author/5
Re:Envy
« Resposta #20 Online: 02 de Novembro de 2007, 14:19 »
Vi no site do Envy que a versão do driver ATI que ele baixa é o 8.42.3, que é justamente essa que tem suporte ao AIXGL. Instalei ela pelo Envy e adicionei o seguinte trecho ao final do meu xorg.conf:

Código: [Selecionar]
Section "Extensions"
Option "Composite" "true"
EndSection

Section "ServerFlags"
        Option  "AIGLX" "true"
EndSection

Depois, executei no terminal:

Código: [Selecionar]
mkdir -p ~/.config/compiz && echo SKIP_CHECKS=yes >> ~/.config/compiz/compiz-manager
E agora o compiz funciona perfeitamente pelo SISTEMA / PREFERÊNCIAS / APARÊNCIA
« Última modificação: 02 de Novembro de 2007, 14:25 por KurtKraut »

Offline Laércio

  • Usuário Ubuntu
  • *
  • Mensagens: 7
    • Ver perfil
Re: Instalando driver ATI com suporte ao AIGLX
« Resposta #21 Online: 02 de Novembro de 2007, 20:07 »
Eu tive o mesmo prob. que os colegas acima. Qndo tentei criar os pacotes .deb apartir do executável.run, seguiram esses erros:

Citar
$ sudo bash ati.run –buildpkg Ubuntu/gutsy

aparecem vários comandos na tela, no final mostra os erros:

cp: cannot stat `./usr/X11R6/lib/modules/dri’: No such file or directory
dh_install: command returned error code 256
make: *** [binary] Error 1
Removing temporary directory: fglrx-install.YV8751m

No começo achei que precisaria dar um $ chmod +x <nome do arquivo>; ou $ chmod 775 <nome do arquivo>, mas nem nada deu certo. Estou pelejando achar essa resposta logo. Segui os passos-a-passo de três tutoriais:

http://ubuntuforums.org/showthread.php?t=575843&highlight=xpress+1100
http://thiago-augusto.eti.br/novo-driver-ati-com-suporte-ao-aiglx/
http://wiki.cchtml.com/index.php/Ubuntu_Gutsy_Installation_Guide

Para além desses sitios, encontrei hj em - algum link [desculpem-me, não lembro como cheguei à esse link], um soft chamado ENVY que detecta qual o driver de video e qual soft instalar, vc escolhe entre o proprietário e outros. Se quiserem conferirr...

http://www.guiaubuntupt.org/wiki/index.php?title=Envy

Se puderem me ajudar... :D ficaria muito grato.
Laptop Acer aspire 5100
AMD Turion 64 x2 Mobile technology (mod. TL/56)
1gB DDR2
ATI Radeon Xpress 1100
HD Sata 12gGB
Dell Wireless Broadcom 1390

Offline rjbgbo

  • Usuário Ubuntu
  • *
  • Mensagens: 3.889
  • Xubuntu 18.04LTS
    • Ver perfil
    • Twitter
Re:Envy
« Resposta #22 Online: 04 de Novembro de 2007, 14:08 »
Vi no site do Envy que a versão do driver ATI que ele baixa é o 8.42.3, que é justamente essa que tem suporte ao AIXGL. Instalei ela pelo Envy e adicionei o seguinte trecho ao final do meu xorg.conf:

Código: [Selecionar]
Section "Extensions"
Option "Composite" "true"
EndSection

Section "ServerFlags"
        Option  "AIGLX" "true"
EndSection

Depois, executei no terminal:

Código: [Selecionar]
mkdir -p ~/.config/compiz && echo SKIP_CHECKS=yes >> ~/.config/compiz/compiz-manager
E agora o compiz funciona perfeitamente pelo SISTEMA / PREFERÊNCIAS / APARÊNCIA

Tô c/ o seguinte problema, conforme descrito no tópico - http://ubuntuforum-br.org/index.php/topic,27344.msg157865.html#msg157865

Pois é, como disse está instalado aqui o linux-restricted-modules-generic restricted-manager por Sistema > Administração > Gerenciador de drives restritos

também pelo synaptic - xserver-xgl

também estão instalados:
compizconfig-settings-manager compiz compiz-core compiz-fusion-plugins-main compiz-fusion-plugins-extra compiz-gnome compiz-plugins libcompizconfig-backend-gconf libcompizconfig0

Queria saber se posso instalar os novos drives 8.42.3 pelo Envy, c/ os mesmos fazendo a devida substituição dos atuais drives proprietários que estão instalados no meu Gutsy.

também vou precisar extucar o comando abaixo:

Citar
Depois, executei no terminal:
Código:
mkdir -p ~/.config/compiz && echo SKIP_CHECKS=yes >> ~/.config/compiz/compiz-manager

Pois já tenho o mesmo instalado, conforme cito.

Umas informações colhidas:

rjbgbo@rjbgbo-desktop:~$ fglrxinfo
display: :0.0 screen: 0
OpenGL vendor string: ATI Technologies Inc.
OpenGL renderer string: Radeon X300/X550/X1050 Series
OpenGL version string: 2.0.6473 (8.37.6)


rjbgbo@rjbgbo-desktop:~$ glxinfo | grep "direct rendering"
Xlib: extension "XFree86-DRI" missing on display ":1.0".
direct rendering: No (If you want to find out why, try setting LIBGL_DEBUG=verbose)
« Última modificação: 04 de Novembro de 2007, 14:10 por rjbgbo »
Linux User #440843 | Ubuntu User #11469

Offline Goathi

  • Usuário Ubuntu
  • *
  • Mensagens: 82
    • Ver perfil
    • thiago-augusto.eti.br
Re: Instalando driver ATI com suporte ao AIGLX
« Resposta #23 Online: 05 de Novembro de 2007, 09:44 »
Para mim nao deu certo. Após executar os procedimentos e reiniciar a maquina digitei o comando fglrxinfo porem obtive o retorno abaixo. Eu utilizo uma ATI no meu notebook Xpress 1100 será que é incompatibilidade de driver?

carlos@carlosnb:~$ fglrxinfo
fglrxinfo: error while loading shared libraries: libGL.so.1: cannot open shared object file: No such file or directory

Para resolver esse problema execute:
sudo ln -s /usr/lib/libGL.so.1.2 /usr/lib/libGL.so.1

Caso não  resolva logo em seguida ao comando acima, repita os paço que funcionará!

HP dv6140us
AMD Turion 64 X2 Dual-Core 1.8GHz, 2GB RAM DDR2 , NVIDIA GeForce 6150 256MB, HD SATA 120 GB, LightScribe Super Multi 8X DVD+/-RW w/Double Layer, 802.11b/g WLAN, Webcam 1.3 MP

[Blog]

Offline Skid Vicious

  • Usuário Ubuntu
  • *
  • Mensagens: 234
    • Ver perfil
Re: Instalando driver ATI com suporte ao AIGLX
« Resposta #24 Online: 05 de Novembro de 2007, 11:41 »
Com Compiz ligado, meu Totem não mostra vídeos, fica uma tela azul escuro estática.  O áudio fica normal...

Offline Jarod

  • Usuário Ubuntu
  • *
  • Mensagens: 54
    • Ver perfil
Re: Instalando driver ATI com suporte ao AIGLX
« Resposta #25 Online: 05 de Novembro de 2007, 17:35 »
Fala pessoal,

minha placa é uma  "Radeon Mobility 9100 IGP" sera que funciona ?

Offline ctavares

  • Usuário Ubuntu
  • *
  • Mensagens: 241
  • Linux
    • Ver perfil
Re: Instalando driver ATI com suporte ao AIGLX
« Resposta #26 Online: 05 de Novembro de 2007, 21:05 »
Com Compiz ligado, meu Totem não mostra vídeos, fica uma tela azul escuro estática.  O áudio fica normal...

Tenho o mesmo problema... Nao consigo ver videos com o compiz ativado... Tentei varios playes e nenhum funciona... a tela fica preta e o audio funciona normal.
Abraço,
Carlos Tavares
Blog: http://ti-online.blogspot.com/ MSN: ctavaresjr@hotmail.com

Offline SergioJP

  • Usuário Ubuntu
  • *
  • Mensagens: 220
  • Nada é melhor do que aprender e compartilhar.
    • Ver perfil
Re: Instalando driver ATI com suporte ao AIGLX
« Resposta #27 Online: 09 de Novembro de 2007, 00:29 »
Com Compiz ligado, meu Totem não mostra vídeos, fica uma tela azul escuro estática.  O áudio fica normal...

Tenho o mesmo problema... Nao consigo ver videos com o compiz ativado... Tentei varios playes e nenhum funciona... a tela fica preta e o audio funciona normal.

Para mim aconteceu a mesma coisa, então desinstalei o totem e instalei o mplayer e o vlc agora todos os videos estão funcionando, no mplayer, clique com o botão direito do mouse escolha preferência clique na aba vídeo escolha o driver para saída de video, no meu caso o gl funciona mas com anomalias, que me parece que é um bug do mplayer mas se ativar o X11(Ximage/Shm) e na aba codec_demuxer escolhe o Win32/VfW video codecs se voce tiver instalado, creio que vai funciona. Ja no VLC  abra as preferências, depois expanda a aba video depois modulos de saida e escolha OpenGL Output, para mim funcionou assim. Porem no mplayer ele fica com o video no tamanho original, não adianta tentar aumentar o tamanho que não resolve. Espero ter ajudado.
Ubuntu Gnome 17.04 LTS GIGABYTE H61M-S1- CORE i3 - NVidia GT 420 - 12G RAM

Offline SergioJP

  • Usuário Ubuntu
  • *
  • Mensagens: 220
  • Nada é melhor do que aprender e compartilhar.
    • Ver perfil
Re: Instalando driver ATI com suporte ao AIGLX
« Resposta #28 Online: 09 de Novembro de 2007, 00:43 »
Só estou notificando para quem costumar copiar e colar no terminal.

Citar
pós habilitar os repositórios execute os seguintes comandos

$ sudo apt-get update
$ sudo apt-get install module-assistant build-essential fakeroot dh-make debhelper debconf libstdc++5 linux-headers-generi-$(uname-r)

Citar
tem um erro aqui linux-headers-generi-$(uname-r) o certo é linux-headers-generic-$(uname-r)
Ubuntu Gnome 17.04 LTS GIGABYTE H61M-S1- CORE i3 - NVidia GT 420 - 12G RAM

Offline zealot

  • Usuário Ubuntu
  • *
  • Mensagens: 15
    • Ver perfil
Re: Instalando driver ATI com suporte ao AIGLX
« Resposta #29 Online: 12 de Novembro de 2007, 16:16 »
quem ja conseguiu matar o erro abaixo, por favor mande um email pra mim

esse eh o erro na hora de gerar os pacotes no gutsy 64bits:

dh_install -pxorg-driver-fglrx "usr/X11R6/lib/modules/dri"     "usr/lib32"
cp: cannot stat `./usr/X11R6/lib/modules/dri': No such file or directory
dh_install: command returned error code 256
make: *** [binary] Error 1
Removing temporary directory: fglrx-install.G20001


grato